/* All Rights reserved */

#include <AppKit/AppKit.h>
#include "AppController.h"

NSSound *sound = nil;

@implementation AppController


- (void) showPrefPanel: (id)sender
{
  /* insert your code here */
}


- (void) open: (id)sender
{
  NSString *path = @"/home/stefan/bugsbunny1.wav";
  sound = [[NSSound alloc] initWithContentsOfFile: path byReference: NO];
  if (sound == nil)
    {
      NSLog (@"Could not open %@", path);
      return;
    }
  NSLog (@"%@", sound);
  NSLog (@"duration = %f", [sound duration]);
}


- (void) pause: (id)sender
{
  BOOL ret;
  NSLog (@"Pause");
  ret = [sound pause];
  NSLog (@"%d", ret);
}


- (void) play: (id)sender
{
  BOOL ret;
  NSLog (@"Play");
  ret = [sound play];
  NSLog (@"%d", ret);
}


- (void) stop: (id)sender
{
  BOOL ret;
  NSLog (@"Stop");
  ret = [sound stop];
  NSLog (@"%d", ret);
}

@end
